#include "directsaleitem.h"

DirectSaleItem::DirectSaleItem(QObject *parent) : QObject(parent)
{
    m_count = 1;
    m_vat = Enums::NONE;
}

int DirectSaleItem::id()
{
    return 0;
}

QString DirectSaleItem::name()
{
    return m_name;
}

QString DirectSaleItem::shortName()
{
    return "";
}

QDecDouble DirectSaleItem::unitPrice()
{
    return m_unitPrice;
}

QString DirectSaleItem::pluginId()
{
    return "";
}

Enums::VatType DirectSaleItem::vatType()
{
    return m_vat;
}

int DirectSaleItem::count() const
{
    return m_count;
}

void DirectSaleItem::setCount(int count)
{
    m_count = count;
}

void DirectSaleItem::setName(const QString &name)
{
    m_name = name;
}

void DirectSaleItem::setUnitPrice(const QDecDouble &unitPrice)
{
    m_unitPrice = unitPrice;
}

void DirectSaleItem::setVatType(Enums::VatType vat)
{
    m_vat = vat;
}
